GCLOUD_SERVICE-MANAGEMENT_DELETE(1)

NAME

gcloud service-management delete - deletes a service

SYNOPSIS

gcloud service-management delete SERVICE [--async] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Deletes a service from Google Service Management. Services that are deleted will be retained in the system for 30 days. If a deleted service is still within this retention window, it can be undeleted with the undelete command.

POSITIONAL ARGUMENTS

    SERVICE
        The name of the service to delete.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To delete a service named my-service, run:
    $ gcloud service-management delete my-service
To run the same command asynchronously (non-blocking), run:
    $ gcloud service-management delete my-service --async